Skip to main content
GET
/
Project
/
{projectId}
/
Note
Get notes for a project
curl --request GET \
  --url https://api.plantpredict.terabase.energy/Project/{projectId}/Note \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 34516,
    "date": "2026-02-09T12:57:51.423",
    "contents": "Example Project Note.",
    "ownerId": 8903,
    "entityType": 1,
    "entityID": 187749
  },
  {
    "id": 34517,
    "date": "2026-02-09T12:58:23.2",
    "contents": "Second example Project Note.",
    "ownerId": 8903,
    "entityType": 1,
    "entityID": 187749
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.plantpredict.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.

Path Parameters

projectId
integer
required

Response

Notes

id
integer
date
string<date-time>
contents
string
ownerId
integer
entityType
enum<integer>

EntityType

Available options:
1,
2,
3,
4,
5,
6
entityID
integer